[blfs-book] r10697 - in trunk/BOOK: . general/genlib general/graphlib gnome/deprecated introduction/welcome networking/netlibs xincludes xsoft/office xsoft/other

bdubbs at linuxfromscratch.org bdubbs at linuxfromscratch.org
Wed Sep 26 13:18:31 PDT 2012


Author: bdubbs
Date: 2012-09-26 14:18:27 -0600 (Wed, 26 Sep 2012)
New Revision: 10697

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/general/genlib/libidl.xml
   trunk/BOOK/general/genlib/slib.xml
   trunk/BOOK/general/graphlib/libart_lgpl.xml
   trunk/BOOK/gnome/deprecated/gnome-mime-data.xml
   trunk/BOOK/gnome/deprecated/gnome-vfs.xml
   trunk/BOOK/gnome/deprecated/libbonobo.xml
   trunk/BOOK/gnome/deprecated/libbonoboui.xml
   trunk/BOOK/gnome/deprecated/libgnome.xml
   trunk/BOOK/gnome/deprecated/libgnomecanvas.xml
   trunk/BOOK/gnome/deprecated/libgnomeui.xml
   trunk/BOOK/gnome/deprecated/orbit2.xml
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/networking/netlibs/geoclue.xml
   trunk/BOOK/xincludes/gnome-old-sysconfdir.xml
   trunk/BOOK/xsoft/office/gnucash.xml
   trunk/BOOK/xsoft/other/balsa.xml
Log:
Update to gnucash-2.4.11
Tag several packages for 7.2.
Formatting and other general touchups.
Remove references to GNOME_PREFIX for several GNOME2 packages.


Modified: trunk/BOOK/general/genlib/libidl.xml
===================================================================
--- trunk/BOOK/general/genlib/libidl.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/general/genlib/libidl.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -33,7 +33,7 @@
     contains libraries for Interface Definition Language files. This is a
     specification for defining portable interfaces.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/general/genlib/slib.xml
===================================================================
--- trunk/BOOK/general/genlib/slib.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/general/genlib/slib.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -41,7 +41,7 @@
     PLT Scheme (DrScheme and MzScheme), Pocket Scheme, RScheme, scheme->C,
     Scheme48, SCM, SCM Mac, scsh, Stk, T3.1, umb-scheme, and VSCM.</para>
 
-    &lfs70_built;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -89,12 +89,15 @@
     <para>Install <application>SLIB</application> by issuing the following
     commands:</para>
 
-<screen><userinput>sed -i 's|usr/lib|usr/share|' RScheme.init &&
-./configure --prefix=/usr --libdir=/usr/share &&
+<screen><userinput>sed -i 's|usr/lib|usr/share|' RScheme.init                      &&
+./configure --prefix=/usr --libdir=/usr/share                   &&
+
 sed -i 's# scm$# guile#;s#ginstall-info#install-info#' Makefile &&
-makeinfo -o slib.txt --plaintext slib.texi &&
+
+makeinfo -o slib.txt --plaintext slib.texi                      &&
 makeinfo -o slib.html --html --no-split slib.texi</userinput></screen>
 
+<!-- Thee are errors in slib.texi
     <para>If you have <xref linkend="texlive"/> installed and wish to build PDF
     or Postscript documentation, issue any or all of the following
     commands:</para>
@@ -102,24 +105,26 @@
 <screen><userinput>texi2pdf slib.texi &&
 texi2dvi slib.texi &&
 dvips -o slib.ps slib.dvi</userinput></screen>
-
+-->
     <para>This package does not come with a functional test suite.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem>
     user:</para>
 
-<screen role="root"><userinput>make install &&
-ln -v -s ../slib /usr/share/guile &&
+<screen role="root"><userinput>make install                                            &&
+ln -v -s ../slib /usr/share/guile                       &&
 guile -c "(use-modules (ice-9 slib)) (require 'printf)" &&
-install -v -m755 -d /usr/share/doc/slib-&slib-version; &&
+install -v -m755 -d /usr/share/doc/slib-&slib-version;             &&
 install -v -m644 ANNOUNCE FAQ README slib.{txt,html} /usr/share/doc/slib-&slib-version;</userinput></screen>
 
+<!--
     <para>If you built any of the optional documentation, install it using the
     following command as the <systemitem class="username">root</systemitem>
     user:</para>
 
 <screen role="root"><userinput>install -v -m644 slib.{pdf,dvi,ps} /usr/share/doc/slib-&slib-version;</userinput></screen>
-  </sect2>
+ --> 
+ </sect2>
 
   <sect2 role="commands">
     <title>Command Explanations</title>
@@ -141,9 +146,6 @@
     'printf)"</command>: This command creates a guile catalog of the
     <application>slib</application> files.</para>
 
-    <para><command>make ... install installinfo</command>: This command
-    installs the package and the <command>info</command> documentation into the
-    indicated directories.</para>
   </sect2>
 
   <sect2 role="content">

Modified: trunk/BOOK/general/graphlib/libart_lgpl.xml
===================================================================
--- trunk/BOOK/general/graphlib/libart_lgpl.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/general/graphlib/libart_lgpl.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -33,7 +33,7 @@
     <filename class="libraryfile">libart</filename> libraries. These are
     useful for high-performance 2D graphics.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/general.ent	2012-09-26 20:18:27 UTC (rev 10697)
@@ -772,7 +772,7 @@
 <!-- Chapter 35 -->
 <!ENTITY AbiWord-version              "2.8.6">
 <!ENTITY gnumeric-version             "1.10.17">
-<!ENTITY gnucash-version              "2.4.10">
+<!ENTITY gnucash-version              "2.4.11">
 <!ENTITY libreoffice-version          "3.6.0">
 
 <!-- Chapter 36 -->

Modified: trunk/BOOK/gnome/deprecated/gnome-mime-data.xml
===================================================================
--- trunk/BOOK/gnome/deprecated/gnome-mime-data.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/gnome/deprecated/gnome-mime-data.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -33,7 +33,7 @@
     the base set of file types and applications for
     <application>GNOME-2</application>.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -77,9 +77,10 @@
     the following commands:</para>
 
 <screen><userinput>ORBit_prefix=$(pkg-config --variable=prefix ORBit-2.0) &&
-./configure --prefix=$$ORBit_prefix                    \
-            --sysconfdir=&gnome-etc-dir;               \
-            --mandir=$$ORBit_prefix/share/man          &&
+
+./configure --prefix=$ORBit_prefix            \
+            --sysconfdir=&gnome-old-etc-dir;    \
+            --mandir=$$ORBit_prefix/share/man &&
 make</userinput></screen>
 
     <para>This package does not come with a test suite.</para>
@@ -91,7 +92,7 @@
                     $ORBit_prefix/share/man/man5/gnome-vfs-mime.5</userinput></screen>
 
   </sect2>
-
+<!--
   <sect2 role="commands">
     <title>Command Explanations</title>
 
@@ -105,6 +106,7 @@
     href="../../xincludes/gnome-mandir.xml"/>
 
   </sect2>
+-->
 
   <sect2 role="content">
     <title>Contents</title>

Modified: trunk/BOOK/gnome/deprecated/gnome-vfs.xml
===================================================================
--- trunk/BOOK/gnome/deprecated/gnome-vfs.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/gnome/deprecated/gnome-vfs.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -33,7 +33,7 @@
     contains virtual file system libraries. This is used as one of the
     foundations of the <application>Nautilus</application> file manager.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
@@ -101,8 +101,9 @@
     by running the following commands:</para>
 
 <screen><userinput>ORBit_prefix=$(pkg-config --variable=prefix ORBit-2.0)   &&
+
 ./configure --prefix=$ORBit_prefix                       \
-            --sysconfdir=&gnome-old-etc-dir;             \
+            --sysconfdir=&gnome-old-etc-dir;               \
             --libexecdir=$ORBit_prefix/lib/gnome-vfs-2.0 &&
 make</userinput></screen>
 

Modified: trunk/BOOK/gnome/deprecated/libbonobo.xml
===================================================================
--- trunk/BOOK/gnome/deprecated/libbonobo.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/gnome/deprecated/libbonobo.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -34,7 +34,7 @@
     This is a component and compound document system for
     <application>GNOME-2</application>.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
@@ -86,12 +86,13 @@
     <para>Install <application>libbonobo</application> by running the following
     commands:</para>
 
-<screen><userinput>
-ORBit_prefix=$(pkg-config --variable=prefix ORBit-2.0) &&
+<screen><userinput>ORBit_prefix=$(pkg-config --variable=prefix ORBit-2.0) &&
+
 ./configure --prefix=$ORBit_prefix                     \
             --sysconfdir=&gnome-old-etc-dir;           \
             --libexecdir=$ORBit_prefix/lib/bonobo-2.0  \
             --mandir=$ORBit_prefix/share/man           &&
+
 unset ORBit_prefix                                     &&
 make</userinput></screen>
 

Modified: trunk/BOOK/gnome/deprecated/libbonoboui.xml
===================================================================
--- trunk/BOOK/gnome/deprecated/libbonoboui.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/gnome/deprecated/libbonoboui.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -37,7 +37,7 @@
       Activation Framework for <application>GNOME 2</application>.
     </para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
@@ -116,8 +116,10 @@
     </para>
 
 <screen role="root"><userinput>make install &&
+
 install -v -m755 -d $(pkg-config \
         --variable=prefix ORBit-2.0)/share/doc/libbonoboui-&libbonoboui-version; &&
+
 install -v -m644 doc/*.{dtd,txt,xml,html} $(pkg-config \
         --variable=prefix ORBit-2.0)/share/doc/libbonoboui-&libbonoboui-version;</userinput></screen>
   </sect2>
@@ -150,8 +152,9 @@
         <systemitem class="username">root</systemitem> user:
       </para>
 
-<screen role="root"><userinput>echo export LIBGLADE_MODULE_PATH=$(pkg-config \
-        --variable=prefix ORBit-2.0)/lib/libglade/2.0 >> /etc/profile</userinput></screen>
+<screen role="root"><userinput>echo export \
+   LIBGLADE_MODULE_PATH=$(pkg-config --variable=prefix ORBit-2.0)/lib/libglade/2.0 \
+   >> /etc/profile</userinput></screen>
   </sect2>
 
   <sect2 role="content">
@@ -166,10 +169,10 @@
         <seg>bonobo-browser and test-moniker</seg>
         <seg>libbonoboui-2.so and libbonobo.so Glade library</seg>
         <seg>
-          <envar>${GNOME_PREFIX}</envar>/include/libbonoboui-2.0/bonobo,
-          <envar>${GNOME_PREFIX}</envar>/share/doc/libbonoboui-2.24.3,
-          <envar>${GNOME_PREFIX}</envar>/share/gnome-2.0/ui and
-          <envar>${GNOME_PREFIX}</envar>/share/gtk-doc/html/libbonoboui
+          /usr/include/libbonoboui-2.0/bonobo,
+          /usr/share/doc/libbonoboui-2.24.3,
+          /usr/share/gnome-2.0/ui and
+          /usr/share/gtk-doc/html/libbonoboui
         </seg>
       </seglistitem>
     </segmentedlist>

Modified: trunk/BOOK/gnome/deprecated/libgnome.xml
===================================================================
--- trunk/BOOK/gnome/deprecated/libgnome.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/gnome/deprecated/libgnome.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -32,7 +32,7 @@
     <para>The <application>libgnome</application> package contains the
     <filename class="libraryfile">libgnome</filename> library.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
@@ -83,11 +83,12 @@
     <para>Install <application>libgnome</application> by running the following
     commands:</para>
 
-<screen><userinput>
-./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
-            --sysconfdir=&gnome-old-etc-dir;                                \
-            --localstatedir=/var/lib                           \
-            --mandir=$(pkg-config --variable=prefix ORBit-2.0)/share/man &&
+<screen><userinput>ORBit=$(pkg-config --variable=prefix ORBit-2.0) &&
+
+./configure --prefix=$ORBit                \
+            --sysconfdir=&gnome-old-etc-dir; \
+            --localstatedir=/var/lib       \
+            --mandir=$ORBit/share/man &&
 make</userinput></screen>
 
     <para>This package does not come with a test suite.</para>
@@ -110,14 +111,11 @@
     <para><parameter>--localstatedir=/var/lib</parameter>: This
     parameter sets <envar>LIBGNOME_LOCALSTATEDIR</envar> to
     <filename class='directory'>/var/lib</filename> instead
-    of <filename class='directory'>$GNOME_PREFIX/var</filename>
+    of <filename class='directory'>/usr/var</filename>
     to synchronize with the <application>GNOME Games</application>
     installation and properly record high scores in
     <filename class='directory'>/var/lib/games</filename>.</para>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-mandir.xml"/>
-
     <!-- change dashes to pluses, otherwise not treated as a comment!
     esound seems to have fallen out as a dep, probably because of pulse.
     <para><option>++disable-esd</option>: This parameter is required if

Modified: trunk/BOOK/gnome/deprecated/libgnomecanvas.xml
===================================================================
--- trunk/BOOK/gnome/deprecated/libgnomecanvas.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/gnome/deprecated/libgnomecanvas.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -34,7 +34,7 @@
     It is an engine for structured graphics and one of the essential
     <application>GNOME</application> libraries.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
@@ -123,7 +123,7 @@
       <seglistitem>
         <seg>None</seg>
         <seg>libgnomecanvas-2.{so,a}</seg>
-        <seg><envar>$GNOME_PREFIX</envar>/{include/libgnomecanvas-2.0/libgnomecanvas,
+        <seg>/usr/{include/libgnomecanvas-2.0/libgnomecanvas,
         share/gtk-doc/html/libgnomecanvas}</seg>
       </seglistitem>
     </segmentedlist>

Modified: trunk/BOOK/gnome/deprecated/libgnomeui.xml
===================================================================
--- trunk/BOOK/gnome/deprecated/libgnomeui.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/gnome/deprecated/libgnomeui.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -32,7 +32,7 @@
     <para>The <application>libgnomeui</application> package contains
     <filename class="libraryfile">libgnomeui</filename> libraries.</para>
 
-    &lfs70_built;
+    &lfs72_checked;
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
@@ -84,7 +84,7 @@
 
 <screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
             --libexecdir=$(pkg-config \
-                --variable=prefix ORBit-2.0)/lib/libgnomeui &&
+            --variable=prefix ORBit-2.0)/lib/libgnomeui &&
 make</userinput></screen>
 
     <para>This package's testsuite is only intended to be used by the
@@ -155,8 +155,8 @@
       <seglistitem>
         <seg>None</seg>
         <seg>libgnomeui-2.{so,a} and libgnome.{so,a} Glade library</seg>
-        <seg><envar>$GNOME_PREFIX</envar>/{include/libgnomeui-2.0/libgnomeui,
-        share/gtk-doc/html/libgnomeui}</seg>
+        <seg>/usr/include/libgnomeui-2.0/libgnomeui,
+             /usr/share/gtk-doc/html/libgnomeui</seg>
       </seglistitem>
     </segmentedlist>
 

Modified: trunk/BOOK/gnome/deprecated/orbit2.xml
===================================================================
--- trunk/BOOK/gnome/deprecated/orbit2.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/gnome/deprecated/orbit2.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -33,7 +33,7 @@
     high-performance CORBA Object Request Broker. This allows programs
     to send requests and receive replies from other programs.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
  
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
@@ -82,7 +82,7 @@
 
     <para>Run the following commands:</para>
 
-<screen><userinput>./configure --prefix=$GNOME_PREFIX \
+<screen><userinput>./configure --prefix=/usr \
             --sysconfdir=&gnome-old-etc-dir; &&
 make</userinput></screen>
 
@@ -97,12 +97,6 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><parameter>--prefix=$GNOME_PREFIX</parameter>: This is the base
-    installation for <application>GNOME-2</application> from which all future
-    package installations will receive their prefix parameter. Be sure that
-    <envar>$GNOME_PREFIX</envar> is set for this install or globally to your
-    install directory as described in the introduction of this Chapter.</para>
-
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome-old-sysconfdir.xml"/>
 

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -46,6 +46,10 @@
    <listitem>
       <para>September 26th, 2012</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gnucash-2.4.11. Fixes
+          <ulink url="&blfs-ticket-root;3469">#3469</ulink>.</para>
+        </listitem>
       <listitem>
         <para>[krejzi] - At-Spi2 Core 2.6.0.</para>
       </listitem>

Modified: trunk/BOOK/networking/netlibs/geoclue.xml
===================================================================
--- trunk/BOOK/networking/netlibs/geoclue.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/networking/netlibs/geoclue.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -37,7 +37,7 @@
       location-aware applications as simple as possible. 
     </para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/xincludes/gnome-old-sysconfdir.xml
===================================================================
--- trunk/BOOK/xincludes/gnome-old-sysconfdir.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/xincludes/gnome-old-sysconfdir.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -8,7 +8,7 @@
     <!-- $LastChangedBy$
          $Date$ -->
 
-    <para><parameter>--sysconfdir=<envar>&gnome-etc-dir;</envar></parameter>:
+    <para><parameter>--sysconfdir=<envar>&gnome-old-etc-dir;</envar></parameter>:
     This parameter causes the configuration files to be installed in
     <filename class="directory">/etc/gnome/2.30.2</filename> instead of
     <filename class="directory">$GNOME_PREFIX/etc</filename>.  You may

Modified: trunk/BOOK/xsoft/office/gnucash.xml
===================================================================
--- trunk/BOOK/xsoft/office/gnucash.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/xsoft/office/gnucash.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -8,10 +8,10 @@
   "&sourceforge-repo;/gnucash/gnucash-&gnucash-version;.tar.bz2">
   <!ENTITY gnucash-download-ftp
   " ">
-  <!ENTITY gnucash-src-md5sum     "eebcf231beffe39a9c1b5f09625bb38e">
-  <!ENTITY gnucash-size           "8.9 MB">
-  <!ENTITY gnucash-buildsize      "234 MB">
-  <!ENTITY gnucash-time           "2.2 SBU">
+  <!ENTITY gnucash-src-md5sum     "e59f94a8c4cf41f47a9e74ba725bde45">
+  <!ENTITY gnucash-size           "9 MB">
+  <!ENTITY gnucash-buildsize      "207 MB">
+  <!ENTITY gnucash-time           "2.0 SBU">
   <!ENTITY gnucash-docs-version   "2.4.1">
   <!ENTITY gnucash-docs-download
   "&sourceforge-repo;/gnucash/gnucash-docs-&gnucash-docs-version;.tar.gz">
@@ -41,7 +41,7 @@
     <para><application>GnuCash</application> is a personal finance
     manager.</para>
 
-    &lfs71_built;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -162,24 +162,28 @@
     <para>Install <application>GnuCash</application> by running the following
     commands:</para>
 
-<screen><userinput>patch -p1 < ../gnucash-&gnucash-version;-guile-2_fixes-1.patch &&
-./configure --prefix=${GNOME_PREFIX} --sysconfdir=${GNOME_SYSCONFDIR} \
-  --disable-dbi \
-  --with-html-engine=webkit &&
+<screen><userinput>patch -Np1 -i ../gnucash-&gnucash-version;-guile-2_fixes-1.patch &&
+
+./configure --prefix=/usr           \
+            --sysconfdir=/etc/gnome \
+            --disable-dbi           \
+            --with-html-engine=webkit &&
 make</userinput></screen>
 
-    <para>
-      If you wish to create the API documentation in HTML format, you must
-      have <xref linkend="doxygen"/> and <xref linkend="graphviz"/> installed,
-      then issue: <command>make doc</command>. If you wish to create the API
-      Design Guide in several formats, you must have <xref linkend="texlive"/>
-      installed and issue: <command>make -C src/doc/design html pdf
-      ps</command>.
-    </para>
+    <para> If you wish to create the API documentation in HTML format, you must
+    have <xref linkend="doxygen"/> and <xref linkend="graphviz"/> installed,
+    then issue:</para>
+      
+<screen><userinput>make doc</userinput></screen>
+      
+      <para>If you wish to create the API Design Guide in several formats, you
+      must have <xref linkend="texlive"/> installed and issue:</para>
+      
+<screen><userinput>make -C src/doc/design html pdf ps</userinput></screen>
 
     <para>
-      The test suite is currently broken due to problems with <application>Guile
-      2</application>.
+      The test suite is currently broken due to problems with 
+      <application>Guile 2</application>.
       <!-- To test the results, issue: <command>make check</command>.-->
     </para>
 
@@ -198,7 +202,7 @@
       user:
     </para>
 
-<screen><userinput>./configure --prefix=${GNOME_PREFIX} &&
+<screen><userinput>./configure --prefix=/usr &&
 make</userinput></screen>
 
     <para>
@@ -224,23 +228,21 @@
       <systemitem class="username">root</systemitem> user:
     </para>
 
-<screen role="root"><userinput>mkdir -p ${GNOME_PREFIX}/share/doc/gnucash-&gnucash-docs-version; &&
-cp -v -R guide/C/gnucash-guide/* ${GNOME_PREFIX}/share/doc/gnucash-&gnucash-docs-version; &&
-cp -v guide/C/gnucash-guide.pdf ${GNOME_PREFIX}/share/doc/gnucash-&gnucash-docs-version;</userinput></screen>
+<screen role="root"><userinput>mkdir -p                           /usr/share/doc/gnucash-&gnucash-docs-version; &&
+cp -v -R guide/C/gnucash-guide/*   /usr/share/doc/gnucash-&gnucash-docs-version; &&
+cp -v    guide/C/gnucash-guide.pdf /usr/share/doc/gnucash-&gnucash-docs-version;</userinput></screen>
   </sect2>
 
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para>
-      <parameter>--sysconfdir=${GNOME_SYSCONFDIR}</parameter>: This installs
-      configuration files in
-      <filename class="directory">${GNOME_SYSCONFDIR}/gnucash</filename> instead
-      of <filename class="directory">/usr/etc/gnucash</filename>.
-    </para>
+    <para><parameter>--sysconfdir=/etc/gnome</parameter>: This installs
+    configuration files in 
+    <filename class="directory">/etc/gnome/gnucash</filename> instead of 
+    <filename class="directory">/usr/etc/gnucash</filename>.</para>
 
     <para>
-      <command>--with-html-engine=webkit</command>: Use
+      <parameter>--with-html-engine=webkit</parameter>: Use
       <xref linkend="webkitgtk"/> (configured <option>--with-gtk=2.0</option>)
       instead of gtkhtml : the default is Gtkhtml-3 which does not build on
       current <application>Glib2</application> without various changes, and
@@ -296,9 +298,11 @@
           installed in <filename class="directory">/usr/lib/gnucash</filename>
         </seg>
         <seg>
-          ${GNOME_SYSCONFDIR}/gnucash, ${GNOME_PREFIX}/include/gnucash,
-          ${GNOME_PREFIX}/lib/gnucash, ${GNOME_PREFIX}/libexec/gnucash and
-          ${GNOME_PREFIX}/share/doc/gnucash-&gnucash-version;.
+          /opt/gnome/gnucash, 
+          /usr/include/gnucash,
+          /usr/lib/gnucash, 
+          /usr/libexec/gnucash and
+          /usr/share/doc/gnucash-&gnucash-version;.
         </seg>
       </seglistitem>
     </segmentedlist>

Modified: trunk/BOOK/xsoft/other/balsa.xml
===================================================================
--- trunk/BOOK/xsoft/other/balsa.xml	2012-09-26 19:48:50 UTC (rev 10696)
+++ trunk/BOOK/xsoft/other/balsa.xml	2012-09-26 20:18:27 UTC (rev 10697)
@@ -32,7 +32,7 @@
     <para>The <application>Balsa</application> package contains a
     <application>GNOME</application>-2 based mail client.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -107,8 +107,8 @@
     <para>Install <application>Balsa</application> by running the following
     commands:</para>
 
-<screen><userinput>./configure --prefix=$GNOME_PREFIX   \
-            --sysconfdir=$GNOME_SYSCONFDIR \
+<screen><userinput>./configure --prefix=/usr            \
+            --sysconfdir=/etc/gnome  \
             --localstatedir=/var/lib \
             --with-rubrica           \
             --without-html-widget    \
@@ -130,12 +130,6 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-prefix.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-sysconfdir.xml"/>
-
     <para><parameter>--with-rubrica</parameter>: This parameter is used
     to provide Rubrica2 address book support.</para>
 




More information about the blfs-book mailing list